Subject: bug#43789: 27.1; Dired cannot handle file which name contains linebreak

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Oct 2020 09:39:54 +0200

Eli Zaretskii <[email-masked]> writes:

> I think this would have unwanted effect on other control characters.
> ISTR this was discussed in the past, but I cannot find that discussion
> at the moment.

I experimented a bit with two files, one with a newline and one with a
C-b character:

The latter works in dired by default, while the former doesn't.

Adding b to the switches gives me:

The C-b file still works, and the one with newline also works.

Does anybody remember what the unwanted effect was?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no